com.independentsoft.exchange

## Class UnifiedMessagingProperties

- java.lang.Object
- - com.independentsoft.exchange.UnifiedMessagingProperties

-     public class UnifiedMessagingProperties
      extends java.lang.Object

  Defines a response to a GetUMProperties Operation request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnifiedMessagingProperties()` Initializes a new instance of the UnifiedMessagingProperties class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPlayOnPhoneDialString()` Gets the default dial string to use for the PlayOnPhone Operation and PlayOnPhoneGreeting Operation.
    `java.lang.String` | `getTelephoneAccessFolderEmail()` Gets the identifier for the e-mail folder from which Unified Messaging will read messages over the telephone.
    `java.lang.String` | `getTelephoneAccessNumbers()` Gets the list of telephone numbers the user can use to access Unified Messaging via a telephone.
    `boolean` | `isMissedCallNotificationEnabled()` Gets whether missed call notifications are enabled.
    `boolean` | `isOutOfOfficeEnabled()` Gets a value that indicates the Unified Messaging Out of Office status for the user who is making a GetUMProperties Operation request.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnifiedMessagingProperties

          public UnifiedMessagingProperties()

      Initializes a new instance of the UnifiedMessagingProperties class.

  - ### Method Detail

    - #### isOutOfOfficeEnabled

          public boolean isOutOfOfficeEnabled()

      Gets a value that indicates the Unified Messaging Out of Office status for the user who is making a GetUMProperties Operation request.
      Returns:
        true, if is out of office enabled

    - #### isMissedCallNotificationEnabled

          public boolean isMissedCallNotificationEnabled()

      Gets whether missed call notifications are enabled.
      Returns:
        true, if is missed call notification enabled

    - #### getPlayOnPhoneDialString

          public java.lang.String getPlayOnPhoneDialString()

      Gets the default dial string to use for the PlayOnPhone Operation and PlayOnPhoneGreeting Operation.
      Returns:
        the play on phone dial string

    - #### getTelephoneAccessNumbers

          public java.lang.String getTelephoneAccessNumbers()

      Gets the list of telephone numbers the user can use to access Unified Messaging via a telephone.
      Returns:
        the telephone access numbers

    - #### getTelephoneAccessFolderEmail

          public java.lang.String getTelephoneAccessFolderEmail()

      Gets the identifier for the e-mail folder from which Unified Messaging will read messages over the telephone.
      Returns:
        the telephone access folder email